# Flow Documents

## Gets all flow documents for the specified flow.

> Retrieves a paginated list of all flow documents for the specified flow, with optional search and sorting.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Sorting.ItemSorting":{"enum":[0],"type":"integer","format":"int32"},"Jylo.Toolkit.API.Models.Container.Review.FlowDocumentReadModel":{"required":["documentUploadObjectIdentifier","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"isDirectory":{"type":"boolean"},"documentUploadObjectIdentifier":{"type":"string","format":"uuid"},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"metadataTokenCount":{"type":"integer","format":"int64","nullable":true},"unsupportedFileType":{"type":"boolean","nullable":true},"unPackingComplete":{"type":"boolean","nullable":true},"unPackingFailed":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"url":{"type":"string","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"},"flowSuccess":{"type":"boolean"},"flowIsCompleting":{"type":"boolean"},"totalPromptsCount":{"type":"integer","format":"int32"},"approvedCount":{"type":"integer","format":"int32"},"rejectedCount":{"type":"integer","format":"int32"},"reviewedByUsers":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner"},"nullable":true},"assignedToUsers":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner"},"nullable":true},"promptAnswers":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMemberModel":{"required":["id","name"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner":{"required":["name","resourceOwnerId"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"resourceOwnerId":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel":{"required":["document","prompt"],"type":"object","properties":{"failedToAnswer":{"type":"boolean","nullable":true},"contextLengthExceeded":{"type":"boolean","nullable":true},"approved":{"type":"boolean","nullable":true},"assignedTo":{"type":"string","nullable":true},"reviewedBy":{"type":"string","nullable":true},"decimalAnswer":{"type":"number","format":"double","nullable":true},"booleanAnswer":{"type":"boolean","nullable":true},"textAnswer":{"type":"string","nullable":true},"quote":{"type":"string","nullable":true},"reviewedDate":{"type":"string","format":"date-time","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"promptObjectIdentifier":{"type":"string","format":"uuid"},"prompt":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptReadModel"},"document":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.DocumentReadModel"},"reviewedByMember":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner"},"assignedToMember":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner"},"hasChildren":{"type":"boolean","nullable":true},"checkIsFlowWideAssemblyAnswer":{"type":"boolean","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"nullable":true},"promptAnswerCategories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryReadModel"},"nullable":true},"flowWideAssemblyAnswer":{"type":"boolean","nullable":true},"evidence":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerEvidenceReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptReadModel":{"required":["description","label","promptDataTypeId"],"type":"object","properties":{"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptConditionReadModel"},"nullable":true},"promptDataTypeId":{"type":"integer","format":"int32"},"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"nullable":true},"minimumValue":{"type":"number","format":"double","nullable":true},"maximumValue":{"type":"number","format":"double","nullable":true},"found":{"type":"boolean","nullable":true},"hasChildren":{"type":"boolean","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"filterDataTypeId":{"type":"integer","format":"int32","nullable":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptConditionReadModel":{"required":["promptPredicate","promptPredicateObjectIdentifier"],"type":"object","properties":{"fuzzyMatch":{"type":"boolean","nullable":true},"isYes":{"type":"boolean","nullable":true},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.DecimalComparisonOperator"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"promptPredicateObjectIdentifier":{"type":"string","format":"uuid"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryConditionModel"},"nullable":true},"allCategoriesMatch":{"type":"boolean","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"promptPredicate":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptReadModel"}},"additionalProperties":false},"Jylo.Toolkit.Constants.DecimalComparisonOperator":{"enum":["Equal","GreaterThan","LessThan","GreaterThanOrEqual","LessThanOrEqual","Range"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.PromptCategoryConditionModel":{"required":["fuzzyMatch","text"],"type":"object","properties":{"fuzzyMatch":{"type":"boolean"},"text":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel":{"required":["name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"colour":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ECategoryColour"},"objectIdentifier":{"type":"string","format":"uuid"},"colourHex":{"type":"string","nullable":true,"readOnly":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.ECategoryColour":{"enum":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18],"type":"integer","format":"int32"},"Jylo.Toolkit.API.Models.Documents.DocumentReadModel":{"required":["documentUploadObjectIdentifier","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"isDirectory":{"type":"boolean"},"documentUploadObjectIdentifier":{"type":"string","format":"uuid"},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"metadataTokenCount":{"type":"integer","format":"int64","nullable":true},"unsupportedFileType":{"type":"boolean","nullable":true},"unPackingComplete":{"type":"boolean","nullable":true},"unPackingFailed":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"url":{"type":"string","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryReadModel":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"category":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"evidence":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryEvidenceReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryEvidenceReadModel":{"type":"object","properties":{"quoteOnly":{"type":"boolean"},"text":{"type":"string","nullable":true},"paragraphObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"polygonPoints":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"pageNumber":{"type":"integer","format":"int32","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerEvidenceReadModel":{"type":"object","properties":{"quoteOnly":{"type":"boolean"},"text":{"type":"string","nullable":true},"paragraphObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"polygonPoints":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"pageNumber":{"type":"integer","format":"int32","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/flows/{flowIdentifier}/flow-documents":{"get":{"tags":["Flow Documents"],"summary":"Gets all flow documents for the specified flow.","description":"Retrieves a paginated list of all flow documents for the specified flow, with optional search and sorting.","parameters":[{"name":"flowIdentifier","in":"path","description":"The object identifier of the flow.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"pageNumber","in":"query","description":"The page number for paginated results.","schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","description":"The number of items per page.","schema":{"type":"integer","format":"int32"}},{"name":"searchText","in":"query","description":"Optional search text to filter results.","schema":{"type":"string"}},{"name":"sorting","in":"query","description":"The sorting option for the results.","schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Sorting.ItemSorting"}},{"name":"desc","in":"query","description":"Whether to sort in descending order.","schema":{"type":"boolean","default":true}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FlowDocumentReadModel"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FlowDocumentReadModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FlowDocumentReadModel"}}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Adds a range of documents to the specified flow.

> Adds a range of documents to the specified flow.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/flows/{flowIdentifier}/flow-documents":{"post":{"tags":["Flow Documents"],"summary":"Adds a range of documents to the specified flow.","description":"Adds a range of documents to the specified flow.","parameters":[{"name":"flowIdentifier","in":"path","description":"The object identifier of the flow.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The collection of document object identifiers to add.","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},"text/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},"application/*+json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"}}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Removes a range of documents from the specified flow.

> Removes a range of documents from the specified flow.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/flows/{flowIdentifier}/flow-documents":{"delete":{"tags":["Flow Documents"],"summary":"Removes a range of documents from the specified flow.","description":"Removes a range of documents from the specified flow.","parameters":[{"name":"flowIdentifier","in":"path","description":"The object identifier of the flow.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"objectIdentifiers","in":"query","description":"The collection of document object identifiers to remove.","schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Searches for flow documents in the specified flow.

> Searches for flow documents in the specified flow using the provided search model.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.API.Models.Container.Review.FlowDocumentSearchModel":{"type":"object","properties":{"searchText":{"type":"string","nullable":true},"pageNumber":{"type":"integer","format":"int32","nullable":true},"pageSize":{"type":"integer","format":"int32","nullable":true},"sortBy":{"type":"string","nullable":true},"sortAsc":{"type":"boolean","nullable":true},"promptColumns":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"nullable":true},"promptSearches":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptSearchModel"},"nullable":true},"documentsToSearch":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptSearchModel":{"type":"object","properties":{"isYes":{"type":"boolean","nullable":true},"minimumValue":{"type":"integer","format":"int32","nullable":true},"maximumValue":{"type":"integer","format":"int32","nullable":true},"categoryIdentifiers":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FlowDocumentReadModel":{"required":["documentUploadObjectIdentifier","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"isDirectory":{"type":"boolean"},"documentUploadObjectIdentifier":{"type":"string","format":"uuid"},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"metadataTokenCount":{"type":"integer","format":"int64","nullable":true},"unsupportedFileType":{"type":"boolean","nullable":true},"unPackingComplete":{"type":"boolean","nullable":true},"unPackingFailed":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"url":{"type":"string","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"},"flowSuccess":{"type":"boolean"},"flowIsCompleting":{"type":"boolean"},"totalPromptsCount":{"type":"integer","format":"int32"},"approvedCount":{"type":"integer","format":"int32"},"rejectedCount":{"type":"integer","format":"int32"},"reviewedByUsers":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner"},"nullable":true},"assignedToUsers":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner"},"nullable":true},"promptAnswers":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMemberModel":{"required":["id","name"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner":{"required":["name","resourceOwnerId"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"resourceOwnerId":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel":{"required":["document","prompt"],"type":"object","properties":{"failedToAnswer":{"type":"boolean","nullable":true},"contextLengthExceeded":{"type":"boolean","nullable":true},"approved":{"type":"boolean","nullable":true},"assignedTo":{"type":"string","nullable":true},"reviewedBy":{"type":"string","nullable":true},"decimalAnswer":{"type":"number","format":"double","nullable":true},"booleanAnswer":{"type":"boolean","nullable":true},"textAnswer":{"type":"string","nullable":true},"quote":{"type":"string","nullable":true},"reviewedDate":{"type":"string","format":"date-time","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"promptObjectIdentifier":{"type":"string","format":"uuid"},"prompt":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptReadModel"},"document":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.DocumentReadModel"},"reviewedByMember":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner"},"assignedToMember":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner"},"hasChildren":{"type":"boolean","nullable":true},"checkIsFlowWideAssemblyAnswer":{"type":"boolean","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"nullable":true},"promptAnswerCategories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryReadModel"},"nullable":true},"flowWideAssemblyAnswer":{"type":"boolean","nullable":true},"evidence":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerEvidenceReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptReadModel":{"required":["description","label","promptDataTypeId"],"type":"object","properties":{"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptConditionReadModel"},"nullable":true},"promptDataTypeId":{"type":"integer","format":"int32"},"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"nullable":true},"minimumValue":{"type":"number","format":"double","nullable":true},"maximumValue":{"type":"number","format":"double","nullable":true},"found":{"type":"boolean","nullable":true},"hasChildren":{"type":"boolean","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"filterDataTypeId":{"type":"integer","format":"int32","nullable":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptConditionReadModel":{"required":["promptPredicate","promptPredicateObjectIdentifier"],"type":"object","properties":{"fuzzyMatch":{"type":"boolean","nullable":true},"isYes":{"type":"boolean","nullable":true},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.DecimalComparisonOperator"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"promptPredicateObjectIdentifier":{"type":"string","format":"uuid"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryConditionModel"},"nullable":true},"allCategoriesMatch":{"type":"boolean","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"promptPredicate":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptReadModel"}},"additionalProperties":false},"Jylo.Toolkit.Constants.DecimalComparisonOperator":{"enum":["Equal","GreaterThan","LessThan","GreaterThanOrEqual","LessThanOrEqual","Range"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.PromptCategoryConditionModel":{"required":["fuzzyMatch","text"],"type":"object","properties":{"fuzzyMatch":{"type":"boolean"},"text":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel":{"required":["name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"colour":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ECategoryColour"},"objectIdentifier":{"type":"string","format":"uuid"},"colourHex":{"type":"string","nullable":true,"readOnly":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.ECategoryColour":{"enum":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18],"type":"integer","format":"int32"},"Jylo.Toolkit.API.Models.Documents.DocumentReadModel":{"required":["documentUploadObjectIdentifier","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"isDirectory":{"type":"boolean"},"documentUploadObjectIdentifier":{"type":"string","format":"uuid"},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"metadataTokenCount":{"type":"integer","format":"int64","nullable":true},"unsupportedFileType":{"type":"boolean","nullable":true},"unPackingComplete":{"type":"boolean","nullable":true},"unPackingFailed":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"url":{"type":"string","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryReadModel":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"category":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"evidence":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryEvidenceReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryEvidenceReadModel":{"type":"object","properties":{"quoteOnly":{"type":"boolean"},"text":{"type":"string","nullable":true},"paragraphObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"polygonPoints":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"pageNumber":{"type":"integer","format":"int32","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerEvidenceReadModel":{"type":"object","properties":{"quoteOnly":{"type":"boolean"},"text":{"type":"string","nullable":true},"paragraphObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"polygonPoints":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"pageNumber":{"type":"integer","format":"int32","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/flows/{flowIdentifier}/flow-documents/search":{"post":{"tags":["Flow Documents"],"summary":"Searches for flow documents in the specified flow.","description":"Searches for flow documents in the specified flow using the provided search model.","parameters":[{"name":"flowIdentifier","in":"path","description":"The object identifier of the flow.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The search model for filtering documents.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FlowDocumentSearchModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FlowDocumentSearchModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FlowDocumentSearchModel"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FlowDocumentReadModel"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FlowDocumentReadModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FlowDocumentReadModel"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Gets the details of a specific flow document by its document identifier.

> Retrieves the details of a flow document using its document identifier.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.API.Models.Container.Review.FlowDocumentReadModel":{"required":["documentUploadObjectIdentifier","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"isDirectory":{"type":"boolean"},"documentUploadObjectIdentifier":{"type":"string","format":"uuid"},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"metadataTokenCount":{"type":"integer","format":"int64","nullable":true},"unsupportedFileType":{"type":"boolean","nullable":true},"unPackingComplete":{"type":"boolean","nullable":true},"unPackingFailed":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"url":{"type":"string","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"},"flowSuccess":{"type":"boolean"},"flowIsCompleting":{"type":"boolean"},"totalPromptsCount":{"type":"integer","format":"int32"},"approvedCount":{"type":"integer","format":"int32"},"rejectedCount":{"type":"integer","format":"int32"},"reviewedByUsers":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner"},"nullable":true},"assignedToUsers":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner"},"nullable":true},"promptAnswers":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMemberModel":{"required":["id","name"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner":{"required":["name","resourceOwnerId"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"resourceOwnerId":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel":{"required":["document","prompt"],"type":"object","properties":{"failedToAnswer":{"type":"boolean","nullable":true},"contextLengthExceeded":{"type":"boolean","nullable":true},"approved":{"type":"boolean","nullable":true},"assignedTo":{"type":"string","nullable":true},"reviewedBy":{"type":"string","nullable":true},"decimalAnswer":{"type":"number","format":"double","nullable":true},"booleanAnswer":{"type":"boolean","nullable":true},"textAnswer":{"type":"string","nullable":true},"quote":{"type":"string","nullable":true},"reviewedDate":{"type":"string","format":"date-time","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"promptObjectIdentifier":{"type":"string","format":"uuid"},"prompt":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptReadModel"},"document":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.DocumentReadModel"},"reviewedByMember":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner"},"assignedToMember":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner"},"hasChildren":{"type":"boolean","nullable":true},"checkIsFlowWideAssemblyAnswer":{"type":"boolean","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"nullable":true},"promptAnswerCategories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryReadModel"},"nullable":true},"flowWideAssemblyAnswer":{"type":"boolean","nullable":true},"evidence":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerEvidenceReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptReadModel":{"required":["description","label","promptDataTypeId"],"type":"object","properties":{"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptConditionReadModel"},"nullable":true},"promptDataTypeId":{"type":"integer","format":"int32"},"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"nullable":true},"minimumValue":{"type":"number","format":"double","nullable":true},"maximumValue":{"type":"number","format":"double","nullable":true},"found":{"type":"boolean","nullable":true},"hasChildren":{"type":"boolean","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"filterDataTypeId":{"type":"integer","format":"int32","nullable":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptConditionReadModel":{"required":["promptPredicate","promptPredicateObjectIdentifier"],"type":"object","properties":{"fuzzyMatch":{"type":"boolean","nullable":true},"isYes":{"type":"boolean","nullable":true},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.DecimalComparisonOperator"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"promptPredicateObjectIdentifier":{"type":"string","format":"uuid"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryConditionModel"},"nullable":true},"allCategoriesMatch":{"type":"boolean","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"promptPredicate":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptReadModel"}},"additionalProperties":false},"Jylo.Toolkit.Constants.DecimalComparisonOperator":{"enum":["Equal","GreaterThan","LessThan","GreaterThanOrEqual","LessThanOrEqual","Range"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.PromptCategoryConditionModel":{"required":["fuzzyMatch","text"],"type":"object","properties":{"fuzzyMatch":{"type":"boolean"},"text":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel":{"required":["name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"colour":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ECategoryColour"},"objectIdentifier":{"type":"string","format":"uuid"},"colourHex":{"type":"string","nullable":true,"readOnly":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.ECategoryColour":{"enum":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18],"type":"integer","format":"int32"},"Jylo.Toolkit.API.Models.Documents.DocumentReadModel":{"required":["documentUploadObjectIdentifier","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"isDirectory":{"type":"boolean"},"documentUploadObjectIdentifier":{"type":"string","format":"uuid"},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"metadataTokenCount":{"type":"integer","format":"int64","nullable":true},"unsupportedFileType":{"type":"boolean","nullable":true},"unPackingComplete":{"type":"boolean","nullable":true},"unPackingFailed":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"url":{"type":"string","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryReadModel":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"category":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"evidence":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryEvidenceReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryEvidenceReadModel":{"type":"object","properties":{"quoteOnly":{"type":"boolean"},"text":{"type":"string","nullable":true},"paragraphObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"polygonPoints":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"pageNumber":{"type":"integer","format":"int32","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerEvidenceReadModel":{"type":"object","properties":{"quoteOnly":{"type":"boolean"},"text":{"type":"string","nullable":true},"paragraphObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"polygonPoints":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"pageNumber":{"type":"integer","format":"int32","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/flows/{flowIdentifier}/flow-documents/{documentIdentifier}":{"get":{"tags":["Flow Documents"],"summary":"Gets the details of a specific flow document by its document identifier.","description":"Retrieves the details of a flow document using its document identifier.","parameters":[{"name":"flowIdentifier","in":"path","description":"The object identifier of the flow.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"documentIdentifier","in":"path","description":"The object identifier of the document.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FlowDocumentReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FlowDocumentReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FlowDocumentReadModel"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Moves documents to a specified folder.

> Moves documents to a specified folder using the provided move documents model.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.API.Models.Container.Review.MoveDocumentsModel":{"type":"object","properties":{"folderIdentifier":{"type":"string","format":"uuid"},"promptSearches":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptSearchModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptSearchModel":{"type":"object","properties":{"isYes":{"type":"boolean","nullable":true},"minimumValue":{"type":"integer","format":"int32","nullable":true},"maximumValue":{"type":"integer","format":"int32","nullable":true},"categoryIdentifiers":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/flows/{flowIdentifier}/flow-documents/move-documents":{"post":{"tags":["Flow Documents"],"summary":"Moves documents to a specified folder.","description":"Moves documents to a specified folder using the provided move documents model.","parameters":[{"name":"flowIdentifier","in":"path","description":"The object identifier of the flow.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The move documents model.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.MoveDocumentsModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.MoveDocumentsModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.MoveDocumentsModel"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```
